openapi: 3.0.0
info:
  title: ACI_QUERY_OBJECTS
  contact: {}
  version: '1.0'
servers:
- url: http://example.com
  variables: {}
paths:
  /api/class/fvBD.json:
    get:
      tags:
      - bridge-domain
      summary: getBridgeDomains
      description: ''
      operationId: getBridgeDomains
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/class/infraNodeP.xml:
    get:
      tags:
      - fabric
      summary: getSwitchProfiles
      description: ''
      operationId: getSwitchProfiles
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/class/infraPortS.xml:
    get:
      tags:
      - fabric
      summary: getInterfacePolicies
      description: ''
      operationId: getInterfacePolicies
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/class/infraProfile.xml:
    get:
      tags:
      - fabric
      summary: getInterfaceProfiles
      description: ''
      operationId: getInterfaceProfiles
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /topology/{pod}/{node}/sys/coop/inst/{dom-overlay}/coopEpDb.xml:
    get:
      tags:
      - fabric
      summary: getCoopEpDb
      description: ''
      operationId: getCoopEpDb
      parameters:
      - name: pod
        in: path
        description: pod
        required: true
        style: simple
        schema:
          type: string
          example: pod-1
      - name: node
        in: path
        description: node
        required: true
        style: simple
        schema:
          type: string
          example: node-111
      - name: dom-overlay
        in: path
        description: dom-overlay
        required: true
        style: simple
        schema:
          type: string
          example: dom-overlay-11
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/mo/uni/{tenant}.xml:
    get:
      tags:
      - health
      summary: getTenantXHealthScore
      description: >-
        https://hostname/api/node/mo/uni/tn-3tierapp.xml?query-target=self&rsp-subtreeinclude=
        health
      operationId: getTenantXHealthScore
      parameters:
      - name: tenant
        in: path
        description: tenant
        required: true
        style: simple
        schema:
          type: string
          example: tn-2Tier
      - name: query-target
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
          example: self
      - name: rsp-subtree-include
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
          example: health
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/mo/uni/{tenant}:
    get:
      tags:
      - health
      summary: getTenantXStatistics
      description: >-
        The fol low ing ex am ple is a REST query to the fab ric that re turns the sta tis tics for a ten -
        ant named "3tier app":
      operationId: getTenantXStatistics
      parameters:
      - name: tenant
        in: path
        description: tenant
        required: true
        style: simple
        schema:
          type: string
          example: tn-tl-Production
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/mo/topology/{pod}/{node}.xml:
    get:
      tags:
      - health
      summary: getFaultsforLeaf
      description: >-
        The fol low ing ex am ple is a REST query to the fab ric that re turns the faults for a leaf
        node:
      operationId: getFaultsforLeaf
      parameters:
      - name: pod
        in: path
        description: pod
        required: true
        style: simple
        schema:
          type: string
          example: pod-1
      - name: node
        in: path
        description: node
        required: true
        style: simple
        schema:
          type: string
          example: node-111
      - name: query-target
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
          example: self
      - name: rsp-subtree-include
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
          example: faults
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/mo/topology/{pod}/{node}/sys/{iface}/HDeqptIngrTotal5min-0.json:
    get:
      tags:
      - health
      summary: getLeafInterfaceStats
      description: ''
      operationId: getLeafInterfaceStats
      parameters:
      - name: pod
        in: path
        description: pod
        required: true
        style: simple
        schema:
          type: string
          example: pod-1
      - name: node
        in: path
        description: node
        required: true
        style: simple
        schema:
          type: string
          example: node-111
      - name: iface
        in: path
        description: physical interface
        required: true
        style: simple
        schema:
          type: string
          example: phys-[eth1/37]
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/mo/uni/{tenant}/ap-Two-Server-ANP/epg-Server1-epg.xml:
    get:
      tags:
      - health
      summary: EPGThroughputStats
      description: ''
      operationId: EPGThroughputStats
      parameters:
      - name: tenant
        in: path
        description: tenant
        required: true
        style: simple
        schema:
          type: string
          example: tn-2Tier
      - name: query-target
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
          example: self
      - name: rsp-subtree-include
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
          example: stats
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/mo/topology/{pod}/{node}/sys/lldp/inst/{iface}.json:
    get:
      tags:
      - health
      summary: getLLDPNeighbors
      description: ''
      operationId: getLLDPNeighbors
      parameters:
      - name: pod
        in: path
        description: pod
        required: true
        style: simple
        schema:
          type: string
          example: pod-1
      - name: node
        in: path
        description: node
        required: true
        style: simple
        schema:
          type: string
          example: node-111
      - name: iface
        in: path
        description: interface
        required: true
        style: simple
        schema:
          type: string
          example: if-[eth1/37]
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/class/cnwPhysIf.xml:
    get:
      tags:
      - interfaces
      summary: getAPICPhysicalInterfaces
      description: ''
      operationId: getAPICPhysicalInterfaces
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/class/cnwAggrIf.xml:
    get:
      tags:
      - interfaces
      summary: getAPICAggregateInterfaces
      description: ''
      operationId: getAPICAggregateInterfaces
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/class/l3Inst.xml:
    get:
      tags:
      - interfaces
      summary: getAPICLayer3ManagementInterfaces
      description: ''
      operationId: getAPICLayer3ManagementInterfaces
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/class/fvCtx.json:
    get:
      tags:
      - private-network
      summary: get Ctx
      description: ''
      operationId: getCtx
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/class/fvTenant.json:
    get:
      tags:
      - tenant
      summary: GetTenants
      description: ''
      operationId: GetTenants
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/node/class/fvTenant.xml:
    get:
      tags:
      - tenant
      summary: GetTenantDetails
      description: ''
      operationId: GetTenantDetails
      parameters:
      - name: query-target-filter
        in: query
        description: ''
        required: true
        style: form
        explode: true
        schema:
          type: string
          example: and(eq(fvTenant.dn,"uni/tn-2Tier/"))
      responses:
        '200':
          description: ''
          headers: {}
          content: {}
      deprecated: false
tags:
- name: bridge-domain
  description: ''
- name: fabric
  description: ''
- name: health
  description: ''
- name: interfaces
  description: ''
- name: private-network
  description: ''
- name: tenant
  description: ''
- name: Misc
  description: ''
